C------------------------------------------------------------------
C
C  SSSP vsn adapted from TFTRYR.FOR
C  18Aug2014 RGA

C
      SUBROUTINE SSSPYR(NSHOT,ZYEAR)
C
      implicit NONE
C
      integer NSHOT
      CHARACTER*(*) ZYEAR
C
      integer ilen
C
C
      zyear=' '
      ilen=len(zyear)
C
      if(ilen.gt.3) then
         IF(NSHOT.GE. 10000 .and. NSHOT.LE.19999) then
            ZYEAR(ilen-3:ilen)='2014'
         else
            ZYEAR(ilen-3:ilen)='2013'
         endif
      else
         IF(NSHOT.GE.10000 .and. NSHOT.LE.19999) then
            ZYEAR(ilen-1:ilen)='14'
         else
            ZYEAR(ilen-1:ilen)='13'
         endif
      endif
C
      RETURN
      END

 
